# Uses of Class
org.springframework.jdbc.support.SQLErrorCodes

Packages that use SQLErrorCodes
Package
Description
org.springframework.jdbc.support
Support classes for the JDBC framework, used by the classes in the jdbc.core and jdbc.object packages.

## Uses of SQLErrorCodes in org.springframework.jdbc.support

Methods in org.springframework.jdbc.support that return SQLErrorCodes
Modifier and Type
Method
Description
`SQLErrorCodes`
SQLErrorCodesFactory.`getErrorCodes(String databaseName)`
Return the `SQLErrorCodes` instance for the given database.
`SQLErrorCodes`
SQLErrorCodesFactory.`getErrorCodes(DataSource dataSource)`
Return `SQLErrorCodes` for the given `DataSource`, evaluating "databaseProductName" from the `DatabaseMetaData`, or an empty error codes instance if no `SQLErrorCodes` were found.
`SQLErrorCodes`
SQLErrorCodeSQLExceptionTranslator.`getSqlErrorCodes()`
Return the error codes used by this translator.
`SQLErrorCodes`
SQLErrorCodesFactory.`registerDatabase(DataSource dataSource, String databaseName)`
Associate the specified database name with the given `DataSource`.
`SQLErrorCodes`
SQLErrorCodesFactory.`resolveErrorCodes(DataSource dataSource)`
Return `SQLErrorCodes` for the given `DataSource`, evaluating "databaseProductName" from the `DatabaseMetaData`, or `null` if case of a JDBC meta-data access problem.
`SQLErrorCodes`
SQLErrorCodesFactory.`unregisterDatabase(DataSource dataSource)`
Clear the cache for the specified `DataSource`, if registered.
Methods in org.springframework.jdbc.support with parameters of type SQLErrorCodes
Modifier and Type
Method
Description
`void`
SQLErrorCodeSQLExceptionTranslator.`setSqlErrorCodes(SQLErrorCodes sec)`
Set custom error codes to be used for translation.
Constructors in org.springframework.jdbc.support with parameters of type SQLErrorCodes
Modifier
Constructor
Description
``
`SQLErrorCodeSQLExceptionTranslator(SQLErrorCodes sec)`
Create an SQLErrorCode translator given these error codes.